<template>
  <div class="bg-transparent">
    <base-header class="pb-6 bg-default shadow">
      <b-row aling-v="center" class="py-4">
        <b-col cols="7" lg="6">
          <h6 class="h2 text-white d-inline-block mb-0">Consolidated Dashboard</h6>
          <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
            <route-bread-crumb></route-bread-crumb>
          </nav>
        </b-col>
        <b-col cols="5" lg="6" class="text-right">
          <!-- <base-button size="sm" type="neutral">New</base-button>
          <base-button size="sm" type="neutral">Filters</base-button> -->
        </b-col>
      </b-row>
      <!-- Card stats -->

    </base-header>

    <!--Charts-->
    <b-container fluid class="mt--6 bg-default shadow" >
      <card class="bg-default shadow; border border-white;">
      <form class="needs-validation"
          @submit.prevent="submit">
      <!-- <div class="form-row">
        <b>Date Range & Type Project</b>
      </div> -->

      <div class="form-row" style="color: white; ">
        <b-col md="4" >
            <label><b>In Operation Since</b></label>
                <base-input
                      name="In Operation Since"
                      type="date"
                      v-model="model.start_date" class="text-white">
                </base-input>
        </b-col>

        <b-col md="4">
           <label><b>To</b></label>
            <base-input  name="To"
                            type="date"
                            v-model="model.end_date">
                </base-input>
        </b-col>

        <b-col md="1">
            <label><b>Type of Projects</b></label>
        </b-col>

        <b-col md="3">
          <b-form-radio-group v-model="model.radios.radio1" @change="changetitle()">
              <b-form-radio value="CONSOLIDATED" name="consolidated" class="mb-3">
                <b>Consolidated</b>
              </b-form-radio>
              <b-form-radio value="C & I" name="CNI" class="mb-3">
                <b>C & I Project</b>
              </b-form-radio>
              <!-- <b-form-radio value="EPC" name="EPC" class="mb-3">
                <b>EPC Project</b>
              </b-form-radio> -->
              <b-form-radio value="SN2" name="SN2" class="mb-3">
                <b>SN2 Project</b>
              </b-form-radio>
              <b-form-radio value="SN3" name="SN3" class="mb-3">
                <b>SN3 Project</b>
              </b-form-radio>
          </b-form-radio-group>
        </b-col>
      </div>

      <div class="form-row" style="color: white;">
        <b-col md="2">
            <label><b>Top OverDue</b></label>
        </b-col>
         <b-col md="10">
          <b-form-radio-group v-model="model.radios.radio2" @change="changetitle()">
              <b-form-radio value="HIDE" name="HIDE" class="mb-3">
                <b>Hide</b>
              </b-form-radio>
              <b-form-radio value="PROJECT" name="PROJECT" >
                <b>Project</b>
              </b-form-radio>
              <b-form-radio value="DOCUMENT" name="DOCUMENT" >
                <b>Document</b>
              </b-form-radio>
          </b-form-radio-group>
        </b-col>
      </div>
      </form>
      </card>

      <!-- <card style="background-color: #0c765a;"> -->
      <card v-if="model.title == 'CONSOLIDATED' && model.radios.radio2 == 'PROJECT'" class="bg-default shadow; border border-white">
        <H2 class="text-center text-white"><b>Top 5 Overdue {{ model.title }} Project</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_680751 with <br><b>16.8 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3100062 with <br><b>17.4 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3_100051 with <br><b>11.2 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3_100057 with <br><b>10.7 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_680754 with <br><b>8.7 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'C & I' && model.radios.radio2 == 'PROJECT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Overdue {{ model.title }} Project</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">C & I_10005 with <br><b>5.6 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">C & I_10004 with <br><b>5.9 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">C & I_10012 with <br><b>4.9 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">C & I_10021 with <br><b>3.2 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">C & I_10034 with <br><b>2.0 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'SN2' && model.radios.radio2 == 'PROJECT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Overdue {{ model.title }} Project</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_680751 with <br><b>16.8 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_680752 with <br><b>6.6 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_680754 with <br><b>8.7 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_560209 with <br><b>3.0 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN2_560210 with <br><b>1.8 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'SN3' && model.radios.radio2 == 'PROJECT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Overdue {{ model.title }} Project</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3_100051 with <br><b>11.2 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3_100057 with <br><b>10.7 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3100062 with <br><b>17.4 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3120612 with <br><b>5.6 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-danger border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SN3120613 with <br><b>2.2 MWp</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'SN3' && model.radios.radio2 == 'DOCUMENT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Highest Overdue {{ model.title }} Project Document</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">James with <br><b>6 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Albert with <br><b>1 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Donny with <br><b>1 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Alice with <br><b>1 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Yati with <br><b>1 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'SN2' && model.radios.radio2 == 'DOCUMENT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Highest Overdue {{ model.title }} Project Document</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Orion with <br><b>40 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Suhaida with <br><b>15 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">King with <br><b>10 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">K.J with <br><b>10 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Ryan with <br><b>5 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'C & I' && model.radios.radio2 == 'DOCUMENT'" class="bg-default shadow">
        <H2 class="text-center text-white"><b>Top 5 Highest Overdue {{ model.title }} Project Document</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Xuan with <br><b>60 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Alex with <br><b>25 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Elvin with <br><b>15 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Wong with <br><b>12 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Lancelot with <br><b>1 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <card v-if="model.title == 'CONSOLIDATED' && model.radios.radio2 == 'DOCUMENT'" class="bg-default shadow; border border-white">
        <H2 class="text-center text-white"><b>Top 5 Highest Overdue {{ model.title }} Project Document</b></H2>
        <br>
        <b-row>
           <b-col md="1">
           </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Xuan with <br><b>60 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Orion with <br><b>40 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">Elvin with <br><b>15 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">ALEX with <br><b>15 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="2">
            <b-card no-body class="bg-gradient-warning border-0" >
            <b-card-body>
                    <b-card-title title-tag="h5" class="text-uppercase text-muted mb-0 text-white text-center">SUHAIDA with <br><b>15 Documents</b></b-card-title>
              </b-card-body>
            </b-card>
          </b-col>
          <b-col md="1">
           </b-col>
        </b-row>
      </card>

      <b-row v-if="model.title == 'CONSOLIDATED'">
        <b-col xl="4">
          <project-summary></project-summary>
        </b-col>
         <b-col xl="4">
            <turn-on-summary></turn-on-summary>
        </b-col>
         <b-col xl="4">
            <document-summary></document-summary>
        </b-col>

        <b-col xl="4">
            <project-overdue></project-overdue>
        </b-col>
         <b-col xl="4">
            <turn-on-overdue></turn-on-overdue>
        </b-col>
         <b-col xl="4">
           <document-overdue></document-overdue>
        </b-col>
      </b-row>

      <b-row v-if="model.title == 'C & I'">
        <b-col xl="4">
          <project-summary-cni></project-summary-cni>
        </b-col>
         <b-col xl="4">
            <turn-on-summary-cni></turn-on-summary-cni>
        </b-col>
         <b-col xl="4">
            <document-summary-cni></document-summary-cni>
        </b-col>

        <b-col xl="4">
            <project-overdue-cni></project-overdue-cni>
        </b-col>
         <b-col xl="4">
            <turn-on-overdue-cni></turn-on-overdue-cni>
        </b-col>
         <b-col xl="4">
           <document-overdue-cni></document-overdue-cni>
        </b-col>
      </b-row>

      <b-row v-if="model.title == 'SN3'">
        <b-col xl="4">
          <project-summary-sn3></project-summary-sn3>
        </b-col>
         <b-col xl="4">
            <turn-on-summary-sn3></turn-on-summary-sn3>
        </b-col>
         <b-col xl="4">
            <document-summary-sn3></document-summary-sn3>
        </b-col>

        <b-col xl="4">
            <project-overdue-sn3></project-overdue-sn3>
        </b-col>
         <b-col xl="4">
            <turn-on-overdue-sn3></turn-on-overdue-sn3>
        </b-col>
         <b-col xl="4">
           <document-overdue-sn3></document-overdue-sn3>
        </b-col>
      </b-row>

      <b-row v-if="model.title == 'SN2'">
        <b-col xl="4">
          <project-summary-sn2></project-summary-sn2>
        </b-col>
         <b-col xl="4">
            <turn-on-summary-sn2></turn-on-summary-sn2>
        </b-col>
         <b-col xl="4">
            <document-summary-sn2></document-summary-sn2>
        </b-col>

        <b-col xl="4">
            <project-overdue-sn2></project-overdue-sn2>
        </b-col>
         <b-col xl="4">
            <turn-on-overdue-sn2></turn-on-overdue-sn2>
        </b-col>
         <b-col xl="4">
           <document-overdue-sn2></document-overdue-sn2>
        </b-col>
      </b-row>

    </b-container>

  </div>
</template>
<script>
  // Charts
  import VueApexCharts from 'vue-apexcharts';
  import * as chartConfigs from '@/components/Charts/config';
  import LineChart from '@/components/Charts/LineChart';
  import BarChart from '@/components/Charts/BarChart';
  import { Charts } from "@/components/Charts/config";

  // Components
  import BaseProgress from '@/components/BaseProgress';
  import RouteBreadCrumb from '@/components/Breadcrumb/RouteBreadcrumb';
  import StatsCard from '@/components/Cards/StatsCard';

  // Lists
  // import ActivityFeed from './ActivityFeed';
  import TaskList from './TaskList';
  // import UserList from './UserList';
  // import ProgressTrackList from './ProgressTrackList';

  // Tabless
  // import LightTable from './LightTable';
  import CNIProjectStatus from './CNIProjectStatus.vue';
  import LatestTurnOn from './LatestTurnOn.vue';
  import TypeOfProject from './TypeOfProject.vue';
  import SolarNova2 from './SolarNova2.vue';
  import SolarNova3 from './SolarNova3.vue';
  import SolarRoof2 from './SolarRoof2.vue';

  import DocumentSummary from './ChartComponentConsolidated/DocumentSummary.vue';
  import TurnOnSummary from './ChartComponentConsolidated/TurnOnSummary.vue';
  import ProjectSummary from './ChartComponentConsolidated/ProjectSummary.vue';

  import ProjectOverdue from './ChartComponentConsolidated/ProjectOverdue.vue';
  import TurnOnOverdue from './ChartComponentConsolidated/TurnOnOverdue.vue';
  import DocumentOverdue from './ChartComponentConsolidated/DocumentOverdue.vue';

  import DocumentSummaryCNI from './ChartComponentCNI/DocumentSummary.vue';
  import TurnOnSummaryCNI from './ChartComponentCNI/TurnOnSummary.vue';
  import ProjectSummaryCNI from './ChartComponentCNI/ProjectSummary.vue';

  import ProjectOverdueCNI from './ChartComponentCNI/ProjectOverdue.vue';
  import TurnOnOverdueCNI from './ChartComponentCNI/TurnOnOverdue.vue';
  import DocumentOverdueCNI from './ChartComponentCNI/DocumentOverdue.vue';

  import DocumentSummarySN3 from './ChartComponentSN3/DocumentSummary.vue';
  import TurnOnSummarySN3 from './ChartComponentSN3/TurnOnSummary.vue';
  import ProjectSummarySN3 from './ChartComponentSN3/ProjectSummary.vue';

  import ProjectOverdueSN3 from './ChartComponentSN3/ProjectOverdue.vue';
  import TurnOnOverdueSN3 from './ChartComponentSN3/TurnOnOverdue.vue';
  import DocumentOverdueSN3 from './ChartComponentSN3/DocumentOverdue.vue';

  import DocumentSummarySN2 from './ChartComponentSN2/DocumentSummary.vue';
  import TurnOnSummarySN2 from './ChartComponentSN2/TurnOnSummary.vue';
  import ProjectSummarySN2 from './ChartComponentSN2/ProjectSummary.vue';

  import ProjectOverdueSN2 from './ChartComponentSN2/ProjectOverdue.vue';
  import TurnOnOverdueSN2 from './ChartComponentSN2/TurnOnOverdue.vue';
  import DocumentOverdueSN2 from './ChartComponentSN2/DocumentOverdue.vue';
  // import PageVisitsTable from './PageVisitsTable';

  import {LoginURL, clientId, clientSecret, apiDomain, getHeader, getcurrentDate} from '@/assets/js/config.js'

  function randomScalingFactor() {
    return Math.round(Math.random() * 100);
  }

  export default {
    components: {
      "apexchart": VueApexCharts,
      LineChart,
      BarChart,
      BaseProgress,
      RouteBreadCrumb,
      StatsCard,
      TaskList,
      "document-summary": DocumentSummary,
      "turn-on-summary": TurnOnSummary,
      "project-summary": ProjectSummary,
      "project-overdue": ProjectOverdue,
      "turn-on-overdue": TurnOnOverdue,
      "document-overdue": DocumentOverdue,

      "document-summary-cni": DocumentSummaryCNI,
      "turn-on-summary-cni": TurnOnSummaryCNI,
      "project-summary-cni": ProjectSummaryCNI,
      "project-overdue-cni": ProjectOverdueCNI,
      "turn-on-overdue-cni": TurnOnOverdueCNI,
      "document-overdue-cni": DocumentOverdueCNI,

      "document-summary-sn2": DocumentSummarySN2,
      "turn-on-summary-sn2": TurnOnSummarySN2,
      "project-summary-sn2": ProjectSummarySN2,
      "project-overdue-sn2": ProjectOverdueSN2,
      "turn-on-overdue-sn2": TurnOnOverdueSN2,
      "document-overdue-sn2": DocumentOverdueSN2,

      "document-summary-sn3": DocumentSummarySN3,
      "turn-on-summary-sn3": TurnOnSummarySN3,
      "project-summary-sn3": ProjectSummarySN3,
      "project-overdue-sn3": ProjectOverdueSN3,
      "turn-on-overdue-sn3": TurnOnOverdueSN3,
      "document-overdue-sn3": DocumentOverdueSN3,

      "cni-project-status" : CNIProjectStatus,
      "latest-turn-on": LatestTurnOn,
      "type-of-project": TypeOfProject,
      "solar-nova-2": SolarNova2,
      "solar-nova-3": SolarNova3,
      "solar-roof-2": SolarRoof2,
    },
    created()
      {
          var currentDate = getcurrentDate()
          this.model.start_date = '2021-05-21'
          this.model.end_date = '2021-08-20'
      },
    data() {
      return {
       model: {
          start_date: null,
          end_date: null,
          checkboxes: 1,
          title: 'CONSOLIDATED',
          radios: {
          radio1: 'CONSOLIDATED',
          radio2: 'HIDE',
          }
        },
        barChartStacked: {
          chartData: {
            labels: ['March', 'April', 'May', 'June', 'July'],
            datasets: [{
              label: 'SN2 Actual',
              backgroundColor: Charts.colors.theme['success'],
              data: [
                1,1.5,1.2,2.9,2.6
              ]
            },
            {
              label: 'SN3 Actual',
              backgroundColor: Charts.colors.theme['primary'],
              data: [
               1.3,2.3,2.8,3.8,4.4
              ]
            }]
          },
          extraOptions: {
            tooltips: {
              mode: 'index',
              intersect: false
            },
            responsive: true,
            scales: {
              xAxes: [{
                stacked: true,
              }],
              yAxes: [{
                stacked: true
              }]
            }
          }
        },
        bigLineChart: {
          allData: [
            [22.2, 6.6, 2.8, 9.0, 2.6, 0.0, 0.9, 2.2, 0.0, 6.3],
            [0, 20, 5, 25, 10, 30, 15, 40, 40]
          ],
          activeIndex: 0,
          chartData: {
            datasets: [
              {
                label: 'Performance',
                data: [0, 20, 10, 30, 15, 40, 20, 60, 60],
              }
            ],
            labels: ['March', 'April', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
          },
          extraOptions: chartConfigs.blueChartOptions,
        },

        redBarChart: {
          chartData: {
            labels: ['March', 'April', 'May', 'June', 'July'],
            datasets: [{
              label: 'MWp',
              data: [1.0, 2.3, 2.8, 3.8, 4.4]
            }]
          },
          extraOptions: chartConfigs.blueChartOptions
        }
      };
    },
    methods: {
      changetitle()
      {
        this.model.title = this.model.radios.radio1
      },
      initBigChart(index) {
        let chartData = {
          datasets: [
            {
              label: 'Year 2021 Monthly Target',
              data: this.bigLineChart.allData[index]
            }
          ],
          labels: ['March', 'April', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
        };
        this.bigLineChart.chartData = chartData;
        this.bigLineChart.activeIndex = index;
      }
    },
    mounted() {
      this.initBigChart(0);
    }
  };
</script>
<style></style>
